Issue279

Title Removing a message sends an empty changenote to nosy users
Priority bug Status resolved
Superseder Nosy List ajaksu2, amk, ezio.melotti, loewis
Assigned To ezio.melotti Topics

Created on 2009-05-02.16:17:53 by ajaksu2, last changed 2011-06-09.21:10:28 by ezio.melotti.

Files
File name Uploaded Type Edit Remove
msg_removal.diff ajaksu2, 2009-05-02.16:17:51 text/x-diff
Messages
msg1385 (view) Author: ajaksu2 Date: 2009-05-02.16:17:51
Ezio Melotti reports that when a message is removed from an issue, an email with
an empty changenote is sent.

The attached patch avoids sending it to the nosy list, but still sends the email
to busybody. It would be easy to include 'Removed message:' with links instead
if that is considered better.
msg1744 (view) Author: ezio.melotti Date: 2010-07-26.16:21:43
When a file is removed the message reports it correctly, but this doesn't work for messages.
As Daniel mentioned the two solutions are:
 1) just send a message that says that the message has been removed;
 2) don't send any message for removed files/msgs;
Solution 2) would avoid useless mail sent when someone e.g. updates a patch removing the previous version, but OTOH if a message or file is removed by mistake it might pass unnoticed.

There's also a third solution though:
 3) avoid sending messages immediately for files/msgs that gets removed (and for any other "minor" changes, like in the nosy list or in the priority). Once another message is sent to the tracker, a single mail that includes the new message and the other minor changes that happened in the meanwhile (clarifying who is the author of each change) can be send. So if I add a name to the nosy, I delete a file, and then I add a message with a new patch only one mail will be sent.

The problem with this approach is that if someone deletes a file/msg by mistake no one will notice it until another message is sent. This is however a broader and different issue, but if it's accepted it will also fix #279.
msg1746 (view) Author: ezio.melotti Date: 2010-07-30.14:19:26
I fixed it sending a message with a link to the message that has been removed in r83280. Now the message is similar to the one sent when a file is removed.
History
Date User Action Args
2011-06-09 21:10:28ezio.melottisetstatus: done-cbb -> resolved
2010-07-30 14:19:26ezio.melottisetstatus: in-progress -> done-cbb
messages: + msg1746
2010-07-26 16:21:44ezio.melottisetstatus: unread -> in-progress
nosy: + loewis, ezio.melotti, amk
messages: + msg1744
assignedto: ezio.melotti
2009-05-02 16:17:53ajaksu2create